/*
  Functions used to serialize/deserialize data for the image server.
*/

/*
 * $Log: browsed-funcs.h,v $
 * Revision 1.1  1993/02/02  16:12:32  jimg
 * Initial revision
 * */

#define IMAGE_HEADER_CODE 10	/* used to identify this struct */

bool_t
xdr_image_header(xdrs, h)
XDR *xdrs;
struct image_header *h;
{
    char *sat_type = h->sat_type;
    char *data_eqn = h->data_eqn;
    char *data_units = h->data_units;
    char *x_to_lon = h->x_to_lon;
    char *y_to_lat = h->y_to_lat;
    char *lon_to_x = h->lon_to_x;
    char *lat_to_y = h->lat_to_y;
    char *projection = h->projection;
    char *image_name = h->image_name;
    
    return (xdr_string(xdrs, &image_name, MAX_STR_LEN)
	    && xdr_string(xdrs, &projection, MAX_STR_LEN)
	    && xdr_string(xdrs, &sat_type, MAX_STR_LEN)
	    && xdr_string(xdrs, &data_units, MAX_STR_LEN)

	    && xdr_string(xdrs, &y_to_lat, MAX_STR_LEN)
	    && xdr_string(xdrs, &x_to_lon, MAX_STR_LEN)
	    && xdr_string(xdrs, &lat_to_y, MAX_STR_LEN)
	    && xdr_string(xdrs, &lon_to_x, MAX_STR_LEN)
	    && xdr_string(xdrs, &data_eqn, MAX_STR_LEN)
	    
	    && xdr_float(xdrs, &h->top_left_lat)
	    && xdr_float(xdrs, &h->top_left_lon)
	    && xdr_float(xdrs, &h->bot_right_lat)
	    && xdr_float(xdrs, &h->bot_right_lon)

	    && xdr_float(xdrs, &h->temp_slope)
	    && xdr_float(xdrs, &h->temp_intcp)
	
	    && xdr_float(xdrs, &h->resolution));
}
