#ifndef __ERRORMSG_H
#define __ERRORMSG_H

/* 
 * $Log: errmsg.h,v $
 * Revision 1.5  1992/11/10  17:45:46  jimg
 * Fixed prototype bugs.
 * Fixed compiler symbols (unix, ...) so that they work with gcc -ansi
 *
 * Revision 1.2  1992/04/10  16:21:56  jimg
 * Modified #ifndef ... #endif so that it would not conflict with system's
 * errno.h file.
 */

#define STDERR 1
#define SYSLOG 2
#define FILELOG 3

#define FATAL_EXIT 1
#define FATAL_ABORT 2

#ifdef __STDC__
void err_ret(const char *, ...);
void err_print(const char *, ...);
void err_sys(const char *, ...);
void err_quit(const char *, ...);
int err_init(const char *, int, int);
#else
void err_ret();
void err_print();
void err_sys();
void err_quit();
int err_init();
#endif

#endif /* __ERRORMSG_H */
