#ifndef __PIXMAP_MARK_H
#define __PIXMAP_MARK_H

/*
  struct for a type that will allow `marks' to be placed on a pixmap. Marks
  are made up of bitmaps. A make can be drawn, erased or displayed using a
  different color.
*/

struct pixmap_mark {
    Pixmap bitmap;		/* bitmap for mark */
    Pixmap bitmask;		/* mask for mark */
    Pixmap backing_store;	/* backing store for marks that have white
				   space in their interior */
    unsigned char color;	/* default color to use when displaying mark */
    unsigned char color2;	/* when a mark is `old' redraw it using this
				   color */
    unsigned int width;		/* bitmap/mask width */
    unsigned int height;
    int x_hot;			/* bitmap hotspot */
    int y_hot;
};

typedef struct pixmap_mark PIXMAP_MARK;

PIXMAP_MARK *create_pixmap_mark();
void free_pixmap_mark();
void draw_pixmap_mark();
void draw_pixmap_mark2();
void erase_pixmap_mark();

#endif /* __PIXMAP_MARK_H */
