#ifndef __REGION_H
#define __REGION_H

/*
  struct definitions and function declarations for region.c
  
  jhrg
*/

struct region {
    VERTICES *vertices;		/* vertices of the region */
    long top, bottom;		/* topmost, leftmost, ... points */
    long left, right; 
    long max_size_x;		/* max size of region */
    long max_size_y;
};
 
typedef struct region REGION;

REGION *init_region();
void free_region();
long read_region();
void write_region();
void print_region_vertices();
void region_bounding_box();
void make_rect_region();

long max_zoom_factor();
void calc_new_origin();

long copy_region();

void sort_region_vertices();

#endif /* __REGION_H */
