#ifndef __VERTEX_H
#define __VERTEX_H

/*
  struct definitions and functions decalrations for region.c

  jhrg
*/

struct c_point {
    int x, y;
};

typedef struct c_point C_POINT;

struct p_point {
    double r, t;
};

typedef struct p_point P_POINT;

struct vertex {
    union {
	C_POINT c_p;
	P_POINT p_p;
    } p;
    struct vertex *next;
};

typedef struct vertex VERTEX;

struct vertices {		/* list of vertex pts for region */
    int num_vertices;
    struct vertex *head;	/* front of list */
    struct vertex *tail;	/* end of list */
    struct vertex *current;	/* pointer to element last accessed */
};

typedef struct vertices VERTICES;

VERTICES *init_vertices();
void free_vertices();
long add_vertex();
void reset_vertices();
long get_num_vertices();
long next_vertex();

long get_vertex_x();
long get_vertex_y();
void set_vertex_x();
void set_vertex_y();

double get_vertex_r();
double get_vertex_t();
void set_vertex_r();
void set_vertex_t();
int vertices_p();

void arith_mean();
void translate_origin();
void sort_polar_vertices();
void cart_to_polar();
void polar_to_cart();
int compare_theta();

void print_cart_vertices();
void print_polar_vertices();

#endif /* __VERTEX_H */
