#ifndef __XBROWSE_RESOURCES_H
#define __XBROWSE_RESOURCES_H

/*
  constants for xbrowse.c

  jhrg
*/

#define XtNdebug    "debug"	/* print some debugging info w/o compiling */
#define XtCDebug    "Debug"

#define XtNstatistics    "statistics"
#define XtCStatistics    "Statistics"

#define XtNno_question_exit  	"no_question_exit"
#define XtCNoQuestionExit  	"NoQuestionExit"

#define XtNauto_zoom    "auto_zoom"
#define XtCAutoZoom     "AutoZoom"

#define XtNsort_vert    "sort_vertices"
#define XtCSortVert     "SortVertices"

#define XtNgrid "grid"
#define XtCGrid "Grid"

#define XtNgrid_font "grid_font"
#define XtCGridFont "GridFont"

#define XtNgrid_color "grid_color"
#define XtCGridColor "GridColor"

#define XtNpalette  "palette"
#define XtCPalette  "Palette"

#define XtNregion "region"
#define XtCRegion "Region"

#define XtNregion_path "region_path"
#define XtCRegionPath "RegionPath"

#define XtNpalette_path "palette_path"
#define XtCPalettePath "PalettePath"

#define XtNlog_path "log_path"
#define XtCLogPath "LogPath"

#define XtNsave_path "save_path"
#define XtCSavePath "SavePath"

#define XtNimage_size	"image_size" /* default image x */
#define XtCImageSize	"ImageSize"

#define XtNgrid_spacing "grid_spacing"
#define XtCGridSpacing "GridSpacing"

#define XtNgrid_line_width "grid_line_width"
#define XtCGridLineWidth "GridLineWidth"

#define XtNxbt_time_window "xbt_time_window"
#define XtCXbtTimeWindow " XbtTimeWindow"

#define XtNserver "server" /* machine w/image server */
#define XtCServer "Server"

#define XtNxbt_server "xbt_server" /* machine w/image server */
#define XtCXbtServer "XbtServer"

#define XtNlevel "level" /* start browsing at this level */
#define XtCLevel "Level"

#define XtNlist "list" /* list of images to browse */
#define XtCList "List"

#define XtNpath "path"	/* pathname of files on archive machine */
#define XtCPath "Path"

#define XtNlog "log"	/* name of log file */
#define XtCLog "Log"

#define XtNstart "start"	/* start date of search */
#define XtCStart "Start"

#define XtNend "end"	/* end date of search */
#define XtCEnd "End"

#define XtNhashmark "hashmark"	/* color of hash marks */
#define XtCHashmark "Hashmark"

#define XtNold_hashmark "old_hashmark" /* color of old hash marks */
#define XtCOldHashmark "OldHashmark"

/* resource list */

static XtResource resources[] = {
{
    XtNdebug,
    XtCDebug,
    XtRBoolean,
    sizeof(Boolean),
    XtOffset(APPDATAPTR, debug),
    XtRImmediate,
    (caddr_t) FALSE,
},
{
    XtNstatistics,
    XtCStatistics,
    XtRBoolean,
    sizeof(Boolean),
    XtOffset(APPDATAPTR, statistics),
    XtRImmediate,
    (caddr_t) FALSE,
},
{
    XtNgrid,
    XtCGrid,
    XtRBoolean,
    sizeof(Boolean),
    XtOffset(APPDATAPTR, grid),
    XtRImmediate,
    (caddr_t) TRUE,
},
{
    XtNno_question_exit,
    XtCNoQuestionExit,
    XtRBoolean,
    sizeof(Boolean),
    XtOffset(APPDATAPTR, no_question_exit),
    XtRImmediate,
    (caddr_t) TRUE,
},
{
    XtNauto_zoom,
    XtCAutoZoom,
    XtRBoolean,
    sizeof(Boolean),
    XtOffset(APPDATAPTR, auto_zoom),
    XtRImmediate,
    (caddr_t) FALSE,
},
{
    XtNsort_vert,
    XtCSortVert,
    XtRBoolean,
    sizeof(Boolean),
    XtOffset(APPDATAPTR, sort_vertices),
    XtRImmediate,
    (caddr_t) FALSE,
},
{
    XtNgrid_font,
    XtCGridFont,
    XtRString,
    sizeof(String),
    XtOffset(APPDATAPTR, grid_font),
    XtRImmediate,
    (caddr_t) "",
},
{
    XtNgrid_color,
    XtCGridColor,
    XtRString,
    sizeof(String),
    XtOffset(APPDATAPTR, grid_color),
    XtRImmediate,
    (caddr_t) "",
},
{
    XtNregion_path,
    XtCRegionPath,
    XtRString,
    sizeof(String),
    XtOffset(APPDATAPTR, region_path),
    XtRImmediate,
    (caddr_t) "",
},
{
    XtNpalette_path,
    XtCPalettePath,
    XtRString,
    sizeof(String),
    XtOffset(APPDATAPTR, palette_path),
    XtRImmediate,
    (caddr_t) "",
},
{
    XtNlog_path,
    XtCLogPath,
    XtRString,
    sizeof(String),
    XtOffset(APPDATAPTR, log_path),
    XtRImmediate,
    (caddr_t) "",
},
{
    XtNsave_path,
    XtCSavePath,
    XtRString,
    sizeof(String),
    XtOffset(APPDATAPTR, save_path),
    XtRImmediate,
    (caddr_t) "",
},
{
    XtNimage_size,
    XtCImageSize,
    XtRInt,
    sizeof(long),
    XtOffset(APPDATAPTR, image_size),
    XtRImmediate,
    (caddr_t) 0,
},
{
    XtNgrid_spacing,
    XtCGridSpacing,
    XtRInt,
    sizeof(long),
    XtOffset(APPDATAPTR, grid_spacing),
    XtRImmediate,
    (caddr_t) 10,
},
{
    XtNgrid_line_width,
    XtCGridLineWidth,
    XtRInt,
    sizeof(long),
    XtOffset(APPDATAPTR, grid_line_width),
    XtRImmediate,
    (caddr_t) 0,
},
{
    XtNxbt_time_window,
    XtCXbtTimeWindow,
    XtRInt,
    sizeof(long),
    XtOffset(APPDATAPTR, xbt_time_window),
    XtRImmediate,
    (caddr_t) 4,
},
{
    XtNlevel,
    XtCLevel,
    XtRInt,
    sizeof(long),
    XtOffset(APPDATAPTR, level),
    XtRImmediate,
    (caddr_t) 4,
},
{
    XtNpalette,
    XtCPalette,
    XtRString,
    sizeof(String),
    XtOffset(APPDATAPTR, palette),
    XtRImmediate,
    (caddr_t) "",
},
{
    XtNregion,
    XtCRegion,
    XtRString,
    sizeof(String),
    XtOffset(APPDATAPTR, region),
    XtRImmediate,
    (caddr_t) "",
},
{
    XtNserver,
    XtCServer,
    XtRString,
    sizeof(String),
    XtOffset(APPDATAPTR, server),
    XtRImmediate,
    (caddr_t) "",
},
{
    XtNxbt_server,
    XtCXbtServer,
    XtRString,
    sizeof(String),
    XtOffset(APPDATAPTR, xbt_server),
    XtRImmediate,
    (caddr_t) "",
},
{
    XtNlist,
    XtCList,
    XtRString,
    sizeof(String),
    XtOffset(APPDATAPTR, list),
    XtRImmediate,
    (caddr_t) "",
},
{
    XtNpath,
    XtCPath,
    XtRString,
    sizeof(String),
    XtOffset(APPDATAPTR, path),
    XtRImmediate,
    (caddr_t) "",
},
{
    XtNlog,
    XtCLog,
    XtRString,
    sizeof(String),
    XtOffset(APPDATAPTR, log),
    XtRImmediate,
    (caddr_t) "",
},
{
    XtNstart,
    XtCStart,
    XtRString,
    sizeof(String),
    XtOffset(APPDATAPTR, start),
    XtRImmediate,
    (caddr_t) "",
},
{
    XtNend,
    XtCEnd,
    XtRString,
    sizeof(String),
    XtOffset(APPDATAPTR, end),
    XtRImmediate,
    (caddr_t) "",
},
{
    XtNhashmark,
    XtCHashmark,
    XtRString,
    sizeof(String),
    XtOffset(APPDATAPTR, hashmark),
    XtRImmediate,
    (caddr_t) "",
},
{
    XtNold_hashmark,
    XtCOldHashmark,
    XtRString,
    sizeof(String),
    XtOffset(APPDATAPTR, old_hashmark),
    XtRImmediate,
    (caddr_t) "",
}
};				/* end application resources */


#endif /* __XBROWSE_RESOURCES_H */
