#ifndef __XBROWSE_H
#define __XBROWSE_H

/*
  struct definition and function declarations for xbrowse.c

  jhrg
*/

typedef struct {
    Boolean debug;
    Boolean grid;
    Boolean statistics;
    Boolean no_question_exit;
    Boolean auto_zoom;
    Boolean sort_vertices;
    long image_size;
    long level;
    long xbt_time_window;
    long grid_spacing;
    long grid_line_width;
    String grid_font;
    String grid_color;
    String region_path;
    String palette_path;
    String log_path;
    String save_path;
    String region;
    String palette;
    String server;
    String xbt_server;
    String list;
    String path;
    String log;
    String start;
    String end;
    String hashmark;
    String old_hashmark;
} APPDATA, *APPDATAPTR;

long usage();
void redraw_picture();
void print_location();
void draw_hash_mark();
void erase_hash_mark();
void mark_old_hash_mark();
void add_palette_to_colormap();
long alloc_color();
int visual_ok_p();
char *lat2str();
char *lon2str();

#endif /* __XBROWSE_H */
