.\" $Log: xbrowse.man,v $
.\"# Revision 1.2  1992/10/29  16:59:21  jimg
.\"# Changes for version 3.0b of xbrowse.
.\"# Changes suggested by George Milikowski.
.\"#
.\"# Revision 1.1  1992/03/23  20:39:01  jimg
.\"# Initial revision
.\"#
.\" $Id: xbrowse.man,v 1.2 1992/10/29 16:59:21 jimg Exp jimg $

.TH XBROWSE 1N
.SH NAME

\fIxbrowse\fP - view digitized images stored at a remote network site

.SH SYNOPSIS

\fIxbrowse\fP [\fB-help\fP] [\fB-statistics\fP] [\fB-debug\fP] [\fB-grid\fP]
[\fB-no_question_exit\fP] [\fB-auto_zoom\fP] [\fB-sort_vert\fP]
[\fB-region_path\fP \fIpath\fP] [\fB-log_path\fP \fIpath\fP] 
[\fB-save_path\fP \fIpath\fP]
[\fB-palette\fP \fIpalette\fP] [\fB-server\fP \fIhost\fP] 
[\fB-xbt_server\fP \fIhost\fP] 
[\fB-log\fP \fIlog file\fP] 
[\fB-image_size\fP \fIpixels\fP] [\fB-xbt_time_window\fP \fIhours\fP] 
[\fB-level\fP \fIlevel\fP] [\fB-hashmark\fP \fIcolor\fP] 
[\fB-old_hashmark\fP \fIcolor\fP]
[\fB-xrm\fP \fIresource\fP]
[\fB-list\fP \fIlist file\fP, \fB-path\fP \fIpath\fP]
[\fB-grid_color\fP \fIcolor\fP] [\fB-grid_font\fP \fIfont name\fP]
[\fB-grid_spacing\fP \fIinteger\fP]
.P

.\"\fIxbrowse\fP \fB-start\fP \fIdate1\fP \fB-end\fP \fIdate2\fP

.SH DESCRIPTION

This manual page documents version 3.3.7 of \fIxbrowse\fP.
.br

\fIxbrowse\fP is used for the transfer and display of digital images which
are stored at remote sites.  It provides an efficient means for examining
large sets of digital images distributed over network systems.  \fIxbrowse\fP
utilizes a 'progressive transmission' algorithm to sequentially transmit
discrete representations or resolution levels of an image.  For any image
being transmitted, \fIxbrowse\fP first transmits and displays a low
resolution version of the image which is immediately enhanced by the
transmission of data for the next higher resolution level.  The image
resolution continues to dynamically increased to the full resolution version
of the image as each successive level is transmitted.  Since progressive
transmission is esentially an iterative process, it can be stopped at any
time.  This allows the user to control the amount of data sent to just that
which is necessary for evaluation based on the user's needs.  This approach
can significantly reduces the amount of data that must be transferred and the
amount of time required to acquire and evaluate an image by the user.

\fIxbrowse\fP is primarily intended for use with oceanographic imagery (e.g.,
thermal images of the sea surface - AVHRR SST images).
However, its approach is in general applicable to a wide variety of images;
using \fIxbrowse\fP with other types of imagery is straightforward.

.SS IMAGE ARCHIVES

\fIxbrowse\fP can be used to access a 20,000 image archive of data at the
Graduate School of Oceanography of the University of Rhode Island. The
archive starts on 1 April 1979 and continues to the present. Each image
in the archive covers the area from latitude 60.575N longitude 96.222W to
latitude 9.399N longitude 33.768W.  The images use a linear projection and
the resolution of the data is 5km/pixel. The easiest way to access images in
this archive is to run \fIxbrowse\fP without either the -path or -list
command line options. \fIxbrowse\fP will display a dialog box which contains
information about the archive and prompts for starting and ending dates. If
the dates are valid, xbrowse will begin displaying each of the images that
fall between the dates given, one after the other.

.br
Other institutions may make archives available for browsing via
\fIxbrowse\fP.

.SH SPECIALIZED FUNCTIONS

.SS REGIONS

In addition to incremental transmission of image data, \fIxbrowse\fP can be
used to limit higher resolution transmission to a specific region
within the image. Thus the user might use a region to specify that full
resolution data around the north wall of the Gulf Stream be displayed with
the remaining areas of the image displayed at much lower resolution. 

At any time during \fIxbrowse\fP's execution two regions can be defined, one
of which is designated the `current region'. These two regions are the `image
region' and the `user region'. The image region is always a square that
encloses the entire image area. The user region may be NULL or it may be a
polygon defined by the user. There are two ways that the user defines a
region. They may use the mouse (first click on the `Define Region' button,
then use mouse button 1 to add points to the region and mouse button 2 to
end) or they may read the region vertices from a file. When a region is
defined in either of these two ways, it automatically becomes the current
region. Any time the user stops displaying an image and goes to the next
image, the current region is reset to the image region. However, the user
region is still defined - to switch from the image region to the user region
the user needs only to click on the `Use Region' button. This will switch
both \fIxbrowse\fP and the archive server from the image region to the user
region without the overhead of transmitting the entire user region
definition. At any time the user may (re)define the user region using either
the mouse or a file.

Regions are a powerful tool for managing the amount of data that needs to be
transmitted from the archive to \fIxbrowse\fP in a quick and convenient
fashion. 

.SS ZOOMING

Many images are too large to be displayed all at once in a window (e.g.
images that are 1024 by 1024 pixels or larger). It is convenient to use
\fIxbrowse\fP to look through a set of these images and display them in a 512
by 512 pixel window (the default size for \fIxbrowse\fP). The zoom
feature of \fIxbrowse\fP allows the user to zoom in on the pixels within the
user region and display them at full resolution. In order to zoom in on a
region, the region must first be defined and must be the current region. In
addition, the region must be small enough so that when its size relative to
the \fIxbrowse\fP display window is increased it can still fit within the 
border of the window. It is possible to define a region that can be zoomed
only one level (a single factor of 2) even though the image itself has
more detail. In such cases the user may define a second region
that lies within the first region and then zoom in on it.

.SS SAVING IMAGERY DISPLAYED BY \fIXBROWSE\fP

The user may at any time save the information displayed in the \fIxbrowse\fP
window to a file using the `Save' button. The user will be prompted for the
name of a file to hold the information. As of version 3.3.7, \fIxbrowse\fP
uses the pgm file format (this may change). The file contains information
about the image as comments at the beginning of the file. Following that,
image data is stored as ASCII text, one value per pixel.

If the archive currently being browsed charges for saved data, \fIxbrowse\fP
will prompt for billing information the first time imagery is saved.
Subsequent saves will use that same billing information.

.SH OPTIONS

Except where noted, all of these command line options can also be set via X
Window system resources (either in the application defaults file or the
user's file).  The resource name is the same as the command line option
without the leading hyphen.

.TP 8
.B -help
.br
If specified, \fIxbrowse\fP prints a short help message and exits. Not
available via resources.

.TP 8
.B -statistics
If specified, print simple statistics about transfer rates after each image
is transferred. The total time to transmit an image includes all of the
handshaking between the client and server as well as users pauses, ...
The default action is to not print statistics.

.TP 8 
.B -debug 
.br 
If specified, synchronize \fIxbrowse\fP and the X11 server. This option is
useful only to people who want to modify/maintain/debug \fIxbrowse\fP.
Default is no debugging.

.TP 8
.B -no_question_exit
.br
If specified, suppress asking `Really Quit' when the Quit button is used
(buttons are described in the section titled `BUTTONS'). Default is to prompt
when the user chooses `Quit'.

.TP 8
.B -auto_zoom
.br
If specified, \fIxbrowse\fP will automatically zoom the `user region'. This
switch eliminates the need to click on the `Zoom' button after defining or
using the `user region' (See BUTTONS ... `use region').

.TP 8
.B -sort_vert
.br
If specified, \fIxbrowse\fP will sort region vertices in clockwise order
rather than using the order that the vertices were specified. Using this
option makes regions more straightforward. 

.TP 8
.B -grid
.br
If specified, \fIxbrowse\fP will overlay a grid on the image. The options
\fB-grid_color\fP, \fB-grid_font\fP, and \fB-grid_spacing\fP are used to
control the grid. 

.TP 8
.B -region_path \fIpath\fP
.br
Use \fIpath\fP as a prefix for relative pathnames when referring to region
files. If \fIpath\fP is not specified, then the value of the current working
directory is used. 

.TP 8
.B -palette_path \fIpath\fP
.br
Use \fIpath\fP as a prefix for relative pathnames when referring to palette
files. If \fIpath\fP is not specified, then the value of the current working
directory is used. 

.TP 8
.B -log_path \fIpath\fP
.br
Use \fIpath\fP as a prefix for relative pathnames when referring to log
files. If \fIpath\fP is not specified, then the value of the current working
directory is used. 

.TP 8
.B -save_path \fIpath\fP
.br
Use \fIpath\fP as a prefix for relative pathnames when saving images. If
\fIpath\fP is not specified, then the value of the current working
directory is used.  

.TP 8
.B -palette \fIpalette\fP
The name of a palette file. Palette files are text files that map the 256
pixel values to colors. The color name syntax is the same as it is for
all X11R4/R5 programs. The format of the palette file is `<number> <color>'
where number is between 0 and 255 and color is an entry from the R4/R5 color
database. There can be as many lines as you want on the file, but obviously,
only 256 lines are really needed. The file ~/palette/colors (provided with the
\fIxbrowse\fP distribution) is an example. Note that it would be better to
use color names (as listed in the X11R4/R5 database (typically
`/usr/lib/X11/rgb.txt') than the hexadecimal color specifications used in
~/palettes/color. Additionally, if more colors are specified in the palette
file than can be added to the default color map, then some of those colors may
not be used. \fIxbrowse\fP will try to use a local color map, but that may not
be possible. See BUGS. The default is to try to use the palette
`/usr/lib/X11/xbrowse/palettes/color'. 

.TP 8 
.B -server \fIserver\fP 
The Internet domain name of an image archive server. The system operator of
this machine will have to install \fIbrowsed\fP. If this option is not
specified, if the given host machine is unreachable or if the given host is
not running the correct software, the user will be prompted for a new name.

.TP 8
.B -xbt_server \fIxbt_server\fP
The Internet domain name of an xbt data server. 

.TP 8
.B -list \fIlist\fP
Instead of specifying \fB-path\fP, a user may use a text file that contains a
list of images. Each line of this file should contain the full pathname of
one image (WRT the archive server's file system) followed by a newline. The
list file itself resides on the user's machine, however. It is possible to
run \fIxbrowse\fP once with \fB-path\fP and then run it with \fB-list\fP
where the list file was produced by the `Log' button (i.e. you can feed the
log file back into \fIxbrowse\fP using the \fB-list\fP switch to get a second
look at the images you thought were good). Either \fB-list\fP or
\fB-path\fP must be given.

.TP 8
.B -path \fIpath\fP
Pathname (WRT the server) of a directory containing images to be browsed.
Each image in the directory will be browsed. Images are browsed in the same
order as they appear in a directory listing (i.e., the same order as ls -l).
Either \fB-list\fP or \fB-path\fP must be given. Note that -path may work on
some archives and not on others.

.TP 8
.B -log \fIfile\fP
Filename of the log file for this session.
If this is not specified then the first time a user chooses `Log' they will
be prompted for a file name. 

.TP 8
.B -image_size \fIsize\fP
Height and Width of the window used to display image data (in pixels).
Default is 512 (level 9). 

.TP 8
.B -level \fIlevel\fP
The resolution level at which to begin transmission. Default is 5 (32 x 32
pixels).

.TP 8
.B -hashmark \fIcolor\fP
.br
When defining regions, the vertices will be marked with small squares drawn
in \fIcolor\fP. Default is black.

.TP 8
.B -old_hashmark \fIcolor\fP
.br
When defining a region within a region, the old regions hashmark's will be
displayed using \fIcolor\fP as a guide to placing the new region's vertices.
Default is red.

.TP 8
.B -grid_color \fIcolor\fP
.br
Specifies the color of the grid. This should be a string from the server's
color data base (e.g., `blue'). The default is `black'.

.TP 8
.B -grid_font \fIfont name\fP
.br
Specifies the font to use when labeling the grid. The default is times 14 pt.

.TP 8
.B -grid_spacing \fIinteger\fP
.br
Specifies the spacing in degress of lines on the grid. The default is 10.
This value must be an integer.

.TP 8
.B -xrm \fIresource spec\fP
.br
This option allows specification of general X resources on the command line.
It cannot be set via the resource file.

.\".TP 8
.\".B -start \fIdate1\fP, -end \fIdate2\fP
.\"When these switches are given, all others are ignored and \fIxbrowse\fP
.\"connects with an server that queues a request to move images from a SONY
.\"optical disk autochanger (jukebox) to a magnetic disk. If space on the
.\"associated harddisk will soon be available, then your request will be queued
.\"and \fIxbrowse\fP will respond with an message giving you the pathname to use
.\"to browse the images and an estimate of when those images will be ready. Once
.\"you request is actually satisfied, you will be sent email notifying you of
.\"that. The \fB-start\fP and \fB-end\fP switches require that the remote host
.\"be running the archived daemon (and that it have a SONY jukebox). The format
.\"for the dates is YYDDD where YY is (as of Oct 1991)one of 86, 87 or 88 and
.\"DDD is between 001 to 365. \fB-start\fP and \fB-end\fP cannot be specified in
.\"a resource file.  There are no default values for these switches.

.SH BUTTONS

.TP 8
.B Quit
Exit \fIxbrowse\fP. If `*no_question_exit' is listed in the resources for
\fIxbrowse\fP or if the \fB-no_question_exit\fP command line switch is
specified, then 
\fIxbrowse\fP just exits, otherwise it asks the user if they really want to
quit.

.TP 8
.B Pause
Pause the transmission of image data. Note that the time used to compute the
transmission statistics is still `ticking'.

.TP 8
.B Next
Go the next image in the list or directory depending on whether the
\fB-list\fP or \fB-path\fP switch was used.

.TP 8
.B Log
Write the name of the current image to the log file (prompting for the name
of a log file if it has not been specified yet).

.TP 8
.B Save
Writes the current image to a file, then goes to the next image. The user
will be prompted for the name of a file to hold the information. As of
version 3.0b, \fIxbrowse\fP uses the pgm file format (this may change). The
file contains information about the image as comments at the beginning of the
file. Following that, image data is stored as ASCII text, one value per
pixel.

If the archive currently being browsed charges for saved data, \fIxbrowse\fP
will prompt for billing information the first time imagery is saved.
Subsequent saves will use that same billing information.


.TP 8
.B Palette
Prompts the user for the name of a palette file. Palette files must currently
be made by hand. They consist of 256 lines each with a pixel value and a
color name/description from the X11R4/R5 color database. See the samples in
~palettes for some examples of correct palette files.

.TP 8
.B Use Region
Switch from the image region (a region that completely encloses the current
image) to the user defined region. If no region has been defined by the user,
then this button is dimmed. See Define Region for information on defining
regions. 

.TP 8
.B Define Region
Allows the user to enter a region using the mouse. When the user clicks on
this button, they can use mouse button 1 to specify points on the image that
are to become vertices of a region. The user clicks mouse button 2 to exit
this mode an begin using the region. The region restricts image transmission
to only those pixels that fall inside the region.

.\".TP 8
.\".B Write Region (^w)
.\"Write the current user defined region to a file. The file can be read using
.\"`Read Region'.
.\"
.\".TP 8
.\".B Read region (^r)
.\"Read the named file and make it the current user defined region.

.TP 8
.B Plot XBT Data
Plot xbt data that fall within the image boundary and were collected within
the time window of this image. See -xbt_time_window option.

.TP 8
.B Zoom
Allows the user to zoom in on a region. This permits full resolution display
of part of a 2048 by 2048 image in a 512 by 512 window. If a region is not
currently defined, then the user is prompted to define one. Images can only
be magnified by integer powers of two (i.e., 2, 4, 8, ...).

.TP 8
.B Auto Zoom
This button toggles \fIxbrowse\fP Auto Zoom mode on or off. When Auto Zoom
mode is on user regions are automatically zoomed to fill the window. When
Auto Zoom is off, zooming can be accomplished using the Zoom button described
above. Auto Zoom saves some network overhead and is convenient if a user wants
to see the same region in many images at maximum resolution.

.SH RESOURCES

All of \fIxbrowse\fP's command line switches can also be set by application
resources except as noted above. The application class name is `XBrowse'. In
addition, all of the buttons and text widgets may be customized using the
resource file. Care should be taken when modifying the resource file, since
the program will not run if it is corrupted.

.SH FILES
/usr/bin/X11/xbrowse
.br
/usr/lib/X11/app-defaults/XBrowse
.br
/usr/lib/X11/xbrowse/palettes/color
.br
/usr/lib/X11/xbrowse/palettes/gray1
.br
/usr/lib/X11/xbrowse/palettes/gray2

.SH COPYRIGHT
Copyright 1991, 1992 University of Rhode Island. 
.br

Portions of the program:
.br
Copyright 1992 Robert Forsman, (FileComp dialog boxes)
.br
Copyright (C) 1989 by Jef Poskanzer. (pgm image file library)
.br

Mr Poskanzer's copyright notice:
.br
Permission to use, copy, modify, and distribute this software and its
documentation for any purpose and without fee is hereby granted, provided
that the above copyright notice appear in all copies and that both that
copyright notice and this permission notice appear in supporting
documentation.  This software is provided "as is" without express or
implied warranty.


.SH AUTHOR
James Gallagher, jimg@dcz.gso.uri.edu

.SH SEE ALSO
browsed - image server.

.SH BUGS
Send bug reports to jimg@dcz.gso.uri.edu
