/*
  Functions used to serialize/deserialize data for the xbt server.
*/

/*
 * $Log: xbt-funcs.h,v $
 * Revision 1.3  1992/11/19  21:14:30  jimg
 * Removed ansi type formal parameter definitions.
 *
 * Revision 1.3  1992/11/19  21:14:30  jimg
 * Removed ansi type formal parameter definitions.
 *
 * Revision 1.2  1992/10/21  17:17:03  jimg
 * Added new funcs.
 *
 * Revision 1.1  1992/10/14  13:19:00  jimg
 * Initial revision
 *
 * Revision 1.1  1992/10/14  13:19:00  jimg
 * Initial revision
 *
 * Revision 2.0  1992/09/28  13:59:42  jimg
 * Release version.
 *
 * Revision 1.1  1992/09/25  22:12:03  jimg
 * Initial revision
 *
 */

bool_t
xdr_xbt_drop(xdrs, xd)
XDR *xdrs;
xbt_drop_t *xd;
{
    return (xdr_float(xdrs, &xd->lat) && xdr_float(xdrs, &xd->lon));
}

bool_t
xdr_xbt_box(xdrs, xb)
XDR *xdrs;
xbt_box_t *xb;
{
    return (xdr_vector(xdrs, (char *)&xb->box[0], 4, sizeof(float), xdr_float)
            && xdr_float(xdrs, &xb->imgdy)
            && xdr_float(xdrs, &xb->imgtm)
            && xdr_long(xdrs, &xb->window)
            && xdr_long(xdrs, &xb->points_p));
}

bool_t
xdr_box_4(xdrs, box)
XDR *xdrs;
float *box;
{
    return xdr_vector(xdrs, (char *)box, 4, sizeof(float), xdr_float);
}

bool_t
xdr_xbt_mbox(xdrs, xmb)
XDR *xdrs;
xbt_mbox_t *xmb;
{
    return (xdr_vector(xdrs, (char *)xmb->boxes, MAX_XBT_BOXES, 
		       sizeof(float) * 4, xdr_box_4)
            && xdr_long(xdrs, &xmb->nboxes)
            && xdr_long(xdrs, &xmb->time)
            && xdr_long(xdrs, &xmb->window)
            && xdr_long(xdrs, &xmb->points_p));
}

