/*
  struct declarations and xdr coding functions used by the xbtd server. These
  can be included by clients as well.
*/

/*
 * $Log: xbt-types.h,v $
 * Revision 1.3  1993/02/02  16:12:32  jimg
 * Modified so that structures could easily be used - works with new xbt server.
 *
 * Revision 1.2  1992/10/21  17:17:03  jimg
 * Added new types.
 *
 * Revision 1.2  1992/10/21  17:17:03  jimg
 * Added new types.
 *
 * Revision 1.1  1992/10/14  13:19:00  jimg
 * Initial revision
 *
 * Revision 1.1  1992/10/14  13:19:00  jimg
 * Initial revision
 *
 * Revision 2.0  1992/09/28  13:59:42  jimg
 * Release version.
 *
 * Revision 1.1  1992/09/25  22:12:03  jimg
 * Initial revision
 *
 */

/*
  xbt_drop_t contains the lat,lon of a singel xbt drop.
*/

#define XBT_DROP 1

typedef struct {
    float lat, lon;
} xbt_drop_t;

/*
  xbt_box_t contains a box and time. xbtd will find all te xbt drops that
  intersect with the `box'.
*/

#define XBT_BOX 2

typedef struct {
    float box[4];		/* where */
    float imgdy, imgtm;		/* when */
    long window;		/* time window, in hours */
    long points_p;		/* if TRUE return points */
} xbt_box_t;

#define XBT_DROP_ARRAY 3	/* an array of xbt_drop_ts */

#define XBT_MBOX 4

typedef struct {
    float boxes[MAX_XBT_BOXES][4];
    long nboxes;
    long time;
    long window;
    long points_p;
} xbt_mbox_t;

