#ifndef __XIMAGE_H
#define __XIMAGE_H

/*
  function declarations for ximage.c

  jhrg
*/

XImage *init_ximage();
XImage *zoom_ximage();

#if !(defined(MACROS) && defined(NDEBUG))

char *get_ximage_row();
void copy_ximage_row();
void display_ximage_row();
void clear_ximage();

#else

#define get_ximage_row(image, row) ((char *)image->data + (row * image->width))

#define copy_ximage_row(image, dest, src) \
    ((void) memcpy(image->data + (dest * image->width), \
		   image->data + (src * image->width), image->width))

/* display, window_pixmap and image_gc is a global that is decalred in
   ximage.c */ 
#define display_ximage_row(image, row) \
    (XPutImage(display, window_pixmap, image_gc, image, 0, row, 0, row, \
	       image->width, 1)) 

#define clear_ximage(image) \
    ((void) memset(image->data, 0, image->height * image->width))

#endif /* ! MACROS || ! NDEBUG */

#endif /* __XIMAGE_H */
